Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class UIObjectClassSetEditor

    java.lang.Object
      ix.iview.AbstractSetEditor
          ix.iview.AbstractUISetEditor
              ix.iview.UIObjectClassSetEditor

    public class UIObjectClassSetEditor

extends AbstractUISetEditor

Support for editing sets of named objects (e.g. refinements or object classes). Looks after adding/removing/editing the objects and keeping the set consistent. Handles overwrites, finding objects in the set, working out whether the set has changed.

Field Summary
`(package private) boolean` | `doRehooks`

Fields inherited from class ix.iview.AbstractSetEditor
`ADD, added, CANCEL, edited, label, manager, members, NEWNAME, originals, OVERWRITE, removed`

Constructor Summary
`UIObjectClassSetEditor(DomainObjectManager om, java.util.LinkedList os)`

Method Summary
`void` | `fireConstructAdded(UIObject object)`
`void` | `fireConstructEdited(UIObject object)`
`void` | `fireConstructRemoved(java.lang.Object object)`
`java.util.LinkedList` | `getDomainOriginals()` Gets all original base objects, e.g. all Refinements from Domain
`Named` | `getNamedObject(java.lang.String name)` Finds a objectClass whose name matches the given string.
`Named` | `getStringOriginal(java.lang.String name)`
`boolean` | `isOwnObject(java.lang.Object object)` Checks whether the given object is one of this editor's own, e.g.
`java.util.LinkedList` | `makeOriginalList()` Makes an list of original objects
`java.lang.Object` | `makeOwnObject(java.lang.Object object)` Makes an own object from the given one
`void` | `removeConstruct(Named object)`
`boolean` | `sameConstruct(java.lang.Object r, java.lang.Object rOther)` Checks whether the two given objects have the same specifications.
`void` | `setLegalName(java.lang.Object object, java.lang.String name)` Sets a string representation of the object that identifies it uniquely
`void` | `setObjects(java.util.LinkedList os)` Crates UI versions for all objects, then enters parent/child relations.

Methods inherited from class ix.iview.AbstractUISetEditor
`cloneConstruct, collectConstructChanges, getBaseObject, getDomain, getName, getOriginal, getStringObject, getUIDomain, hasOriginal, isEmpty, isUndefined, rememberClear, removeFromDomain, saveToDomain, setManager, setName`

Methods inherited from class ix.iview.AbstractSetEditor
`addConstruct, addedObject, clear, ensureConstruct, findOwnObject, fireConstructAdded, fireConstructEdited, getAllConstructs, getOriginals, getOwnObject, handleNameClash, hasChangedConstructs, hasChangedFromOriginal, hasOriginal, isCurrentOwnObject, isEmpty, isLoading, newOwnObject, print, printSet, removeConstruct, resetEdits, setManager, setOverwrite, updateConstruct`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### doRehooks

    boolean doRehooks

Constructor Detail

### UIObjectClassSetEditor

    public UIObjectClassSetEditor(DomainObjectManager om,
                                  java.util.LinkedList os)

Method Detail

### setObjects

    public void setObjects(java.util.LinkedList os)

  Crates UI versions for all objects, then enters parent/child relations. Overwritten because lazy UI object making is not on with parent/child.

  Overrides:
    `setObjects` in class `AbstractUISetEditor`

### setLegalName

    public void setLegalName(java.lang.Object object,
                             java.lang.String name)

  Description copied from class: `AbstractSetEditor`
  Sets a string representation of the object that identifies it uniquely

  Specified by:
    `setLegalName` in class `AbstractSetEditor`

### isOwnObject

    public boolean isOwnObject(java.lang.Object object)

  Description copied from class: `AbstractSetEditor`
  Checks whether the given object is one of this editor's own, e.g. UIRefinement

  Specified by:
    `isOwnObject` in class `AbstractSetEditor`

### sameConstruct

    public boolean sameConstruct(java.lang.Object r,
                                 java.lang.Object rOther)

  Description copied from class: `AbstractSetEditor`
  Checks whether the two given objects have the same specifications.

  Specified by:
    `sameConstruct` in class `AbstractSetEditor`

### getDomainOriginals

    public java.util.LinkedList getDomainOriginals()

  Description copied from class: `AbstractUISetEditor`
  Gets all original base objects, e.g. all Refinements from Domain

  Specified by:
    `getDomainOriginals` in class `AbstractUISetEditor`

### removeConstruct

    public void removeConstruct(Named object)

### makeOwnObject

    public java.lang.Object makeOwnObject(java.lang.Object object)

  Description copied from class: `AbstractSetEditor`
  Makes an own object from the given one

  Specified by:
    `makeOwnObject` in class `AbstractSetEditor`

### makeOriginalList

    public java.util.LinkedList makeOriginalList()

  Description copied from class: `AbstractUISetEditor`
  Makes an list of original objects

  Specified by:
    `makeOriginalList` in class `AbstractUISetEditor`

### getStringOriginal

    public Named getStringOriginal(java.lang.String name)

  Specified by:
    `getStringOriginal` in class `AbstractUISetEditor`

### getNamedObject

    public Named getNamedObject(java.lang.String name)

  Finds a objectClass whose name matches the given string.

  Specified by:
    `getNamedObject` in class `AbstractUISetEditor`
  Returns:
    a UIObjectClass, a ObjectClass, or null - depending on which exists.

### fireConstructAdded

    public void fireConstructAdded(UIObject object)

### fireConstructEdited

    public void fireConstructEdited(UIObject object)

### fireConstructRemoved

    public void fireConstructRemoved(java.lang.Object object)

  Overrides:
    `fireConstructRemoved` in class `AbstractUISetEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD